/**************************************************************

File Name:	vecprod_test.asm
		
Date Modified:	2/10/99	RFG

Purpose:	Program to call vecprod.asm

**************************************************************/

#include    "def21161.h"

#define     N       128		/* number of elements in vectors */

.extern	vector_dot_product;

/* DM data */
.section/dm seg_dmda;
.ALIGN 2;
.var    A[N] = "input1.dat";
.var    SUM;


/* PM data */
.section/dm seg_pmda;
.ALIGN 2;
.var    B[N] = "input2.dat";


/* PM interrupt vector code */
.section/pm   seg_rth;
Reserved_1:     rti; nop; nop; nop;
Chip_Reset:     idle; jump start; nop; nop;


/* program memory code */
.section/pm seg_pmco;

start:
/* Set up address increment registers */
    m1=2;
    m9=2;

/* initialize modulo addressing control registers */
    l0 = 0;
    l8 = 0;

    b0 = A;			/* set up pointer to data */
	
	call vector_dot_product (db);
	b8 = B;			/* set up pointer to data */
	r1=(N-6)/2;

	dm(SUM)=f12;

/* Terminate and wait */
wait1:   jump wait1;

