/**************************************************************

File Name:	vecsum_test.asm
		
Date Modified:	2/11/99	RFG

Purpose:	Program to call vecsum.asm

**************************************************************/

#include    "def21161.h"

#define     N       128		/* number of elements in vectors */

.extern	vector_summation;

/* DM data */
.section/dm seg_dmda;
.ALIGN 2;
.var    A[N] = "input1.dat";
.ALIGN 2;
.var    SUM[N];


/* PM data */
.section/dm seg_pmda;
.ALIGN 2;
.var    B[N] = "input2.dat";


/* PM interrupt vector code */
.section/pm   seg_rth;
Reserved_1:     rti; nop; nop; nop;
Chip_Reset:     idle; jump start; nop; nop;


/* program memory code */
.section/pm seg_pmco;

start:
/* Set up address increment registers */
    m1=2;
    m9=2;

/* initialize modulo addressing control registers */
    l0 = 0;
    l8 = 0;
	l7 = 0;
	
/* initialize pointers */
    b0 = A;
    b8 = B;
	
	call vector_summation (db);
	b7 = SUM;
	r1=(N-2)/2;

/* Terminate and wait */
wait1:   jump wait1;

